@echo off

echo Docmemory V3.1beta Installation
echo This installation creates a bootable floppy drisk
echo .
echo *****************************************************************************
echo *                                                       			      
echo *  DocMemory V3.1beta is a stand alone memory diagnostic test  
echo    and must be booted from a floppy disk.              		      
echo *  Note : You will not be able to read from                                    
echo    Floppy after you have installed DocMemory.                             
echo *  Mark the installed Disk as Docmemory V3.1beta                      
echo    for identification purpose                                                          
echo *                                                       			      
echo *****************************************************************************
echo .

REM  Are both files here?
if not exist .\rawrite.exe goto NO_PGM
if not exist .\Docmem.bin goto NO_BIN

rawrite -f Docmem.bin
if ERRORLEVEL == 1 goto ERROR
echo Done!
echo To run DocMemory, leave the floppy in the drive and reboot.
goto EXIT

:NO_PGM
echo Error: Can't find "rawrite.exe".  This program must be in the
echo same directory as the install script.
goto ERROR

:NO_BIN
echo Error: Can't find "Docmem.bin".  This file must be in the
echo same directory as the install script.
goto ERROR

:ERROR
echo Installation failed!

:EXIT
